<?php
include_once( SAXUE_ROOT_PATH . "/lib/template/template.php" );
$saxueTpl = &saxuetpl :: getinstance();
$saxueTpl -> setcaching( 0 );
$saxueTpl -> assign( "saxue_thisurl", saxue_addurlvars( array(), true, false ) );
$saxueTpl -> assign( "saxue_uid", $_SESSION['saxueUserId'] );
$saxueTpl -> assign( "saxue_uname", $_SESSION['saxueUserName'] );
$saxueTpl -> assign( "saxue_email", $_SESSION['saxueUserEmail'] );
$saxueTpl -> assign( "saxue_score", $_SESSION['saxueUserScore'] );
$saxueTpl -> assign( "saxue_money", $_SESSION['saxueUserMoney'] );
// 菜单处理
saxue_getconfigs( 'membermenu', "member" );
$menuid = $topmenu = 0;
if ( !empty( $_REQUEST['menuid'] ) ) {
		$topmenu = $menuid = $_REQUEST['menuid'];
		while ( $saxueMembermenu[$topmenu]['pid'] > 0 ) {
				$topmenu = $saxueMembermenu[$topmenu]['pid'];
		} 
} 
if ( empty( $topmenu ) ) $topmenu = 1;
$saxueTpl -> assign( "menuid", $menuid );
$saxueTpl -> assign( "topmenu", $topmenu );
$saxueTpl -> assign_by_ref( "menu", $saxueMembermenu );
